Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

ghostscript-devel-9.06-4.1.1 RPM for i586

From OpenSuSE 12.3 for i586

Name: ghostscript-devel Distribution: openSUSE 12.3
Version: 9.06 Vendor: openSUSE
Release: 4.1.1 Build date: Sun Jan 27 02:12:25 2013
Group: Development/Libraries/C and C++ Build host: build34
Size: 35919 Source RPM: ghostscript-9.06-4.1.1.src.rpm
Packager: http://bugs.opensuse.org
Url: http://www.ghostscript.com/
Summary: Development files for Ghostscript
This package contains the development files for Ghostscript.

Provides

Requires

License

GPL-3.0

Changelog

* Thu Jan 03 2013 jsmeix@suse.de
  - Provide libijs (that is not done via "configure --with-ijs")
    because libijs is needed by the pdftoijs filter in the
    cups-filters package (see the README file in cups-filters).
* Thu Sep 27 2012 mmeister@suse.com
  - Version upgrade to 9.06. Mainly a bugfix release.
    * pdfwrite announcements:
      pdfwrite now supports the creation of PDF/A-2 files.
      For further details see the NEWS file.
    * removed moribund dumphint tool, see History9.htm and
      http://bugs.ghostscript.com/show_bug.cgi?id=693223
* Mon Sep 24 2012 idonmez@suse.com
  - "export SUSE_ASNEEDED=0" disables -Wl,--as-needed linker flags,
    see http://bugs.ghostscript.com/show_bug.cgi?id=693100
* Thu May 10 2012 jsmeix@suse.de
  - Require Ghostscript's font packages because the
    Ghostscript package provides the "Fontmap" file
    /usr/share/ghostscript/<version>/Resource/Init/Fontmap.GS
    which lists Ghostscript's fonts but the fonts itself
    are provided in the separated packages ghostscript-fonts-std
    and ghostscript-fonts-other so that a RPM requirement
    is needed to make sure that Ghostscript has its fonts.
  - Extract the catalog of devices which are actually built-in
    in exactly this Ghostscript and provide it as catalog.devices
    in the Ghostscript package.
* Fri Apr 27 2012 jsmeix@suse.de
  - BuildRequires dbus-1-devel for "configure --enable-dbus"
    to have colord support in gstoraster (see the entry regarding
    "color management daemon" in doc/History9.htm).
* Tue Apr 24 2012 jsmeix@suse.de
  - Install documentation which is not installed by default
    (LICENSE doc/AUTHORS doc/COPYING doc/thirdparty.htm
    doc/WhatIsGS.htm doc/GS9_Color_Management.pdf
    doc/gs-vms.hlp doc/Ps2ps2.htm).
  - Add a link from SUSE's usual documentation directory
    (/usr/share/doc/packages/ghostscript/) to Ghostscript's
    documentation directory (/usr/share/ghostscript/9.05/doc/)
    because "configure --docdir=..." does not work.
* Thu Apr 05 2012 jsmeix@suse.de
  - Removed BuildRequires docbook-toys which is not needed
    (db2ps and db2pdf called in ijs/Makefile.am to make ijs_spec.ps
    and ijs_spec.pdf but neither of them is made - both are
    provided in the sources) but docbook-toys pulls in packages
    like texlive-bin-jadetex and texlive-jadetex which needlessly
    blow up the build system.
* Wed Mar 28 2012 jsmeix@suse.de
  - Require the basic fonts for Ghostscript
    (package ghostscript-fonts-std) and recommend the
    optional fonts (package ghostscript-fonts-other).
* Fri Mar 23 2012 jsmeix@suse.de
  - Cleaned up BuildRequires.
  - Added ghostscript-mini.spec with minimal BuildRequires.
  - Explicitly specify configure --with-* versus --without-*
    in ghostscript.spec versus ghostscript-mini.spec
    to make the differences clear.
* Fri Mar 16 2012 jsmeix@suse.de
  - Unfortunately ghostscript-library.spec and ghostscript-mini.spec
    have unversioned "Provides: ghostscript" and for RPM this means
    that both ghostscript-library and ghostscript-mini
    provide any version of ghostscript. Therefore any non-matching
    version of ghostscript-library and ghostscript-mini fulfill
    any RPM requirement for ghostscript in the ghostscript-x11
    and ghostscript-devel sub-packages which is wrong.
    Therefore explicit conflicts with ghostscript-library and
    ghostscript-mini are specified in the ghostscript-x11
    and ghostscript-devel sub-packages to avoid the mess.
* Thu Mar 15 2012 jsmeix@suse.de
  - Configure --without-libpaper disables libpaper support
    because SUSE does not have libpaper.
* Thu Mar 15 2012 jsmeix@suse.de
  - Configure --without-jasper and --enable-openjpeg because
    since Ghostscript 9.05 JasPer is deprecated and Ghostscript
    now ships modified OpenJPEG sources for JPEG2000 decoding
    (replacing JasPer). Performance, reliability and memory use
    whilst decoding JPX streams are all improved. Accordingly
    the BuildRequires libjasper-devel is removed.
  - Configure --without-ufst and --without-luratech because
    those are relevant to commercial releases only
    which would require a commercial license.
  - Added BuildRequires libtool which requires automake and
    automake requires autoconf to fix build requirements
    for openSUSE:Factory.
* Fri Feb 24 2012 jsmeix@suse.de
  - Using fixed /usr/lib/cups/filter (no lib64) because CUPS
    in the Printing project uses it in any case.
* Fri Feb 24 2012 jsmeix@suse.de
  - Adapt RPM dependencies to what is actually used
    in openSUSE:Factory (dated 22 Feb. 2012).
* Thu Feb 16 2012 jsmeix@suse.de
  - Added RPM dependencies to make sure ghostscript-x11 and the
    main-package have exact matching version-release because both
    could have any kind of Ghostscript-internal dependencies.
    This is only an approximation to have ghostscript-x11 and
    the main-package from the same build where the main-package
    and its sub-package have been made but currently there is
    no clean way to specify a 'same build' RPM dependency.
    Therefore currently ghostscript-x11 and the main-package could
    have same version-release but nevertheless come from different
    projects/repositories (e.g. with different patches or
    whatever kind of differences).
* Wed Feb 15 2012 jsmeix@suse.de
  - Split files which require X11 stuff into a ghostscript-x11
    sub-package (currently only /usr/lib/ghostscript/9.05/X11.so)
    so that the ghostscript package can be installed without X11.
* Thu Feb 09 2012 jsmeix@suse.de
  - Upgrade to version 9.05 (see bnc#735824):
    New simple ink-coverage device (inkconv).
    The ps2write device has a large number of improvements.
    Fixes and improvements for the CUPS Raster output device
    (in particular Ghostscript bug 691922 regarding color model).
    Renamed the PXL CUPS filter from "pstopxl" to "gstopxl".
    For details see the doc/News.htm file.
  - Removed "make cups" and "make cups-install" from spec file
    using "configure ... --with-install-cups" instead
    (new since version 9.04, see "configure --help").
* Tue Dec 13 2011 jw@suse.com
  - Upgrade to version 9.04 (see bnc#735824):
    For details see the doc/News.htm file.
  - Added "make cups" and "make cups-install" to spec file.
* Tue Mar 15 2011 jsmeix@suse.de
  - Initial ghostscript package.

Files

/usr/bin/ijs-config
/usr/include/ghostscript
/usr/include/ghostscript/gdevdsp.h
/usr/include/ghostscript/iapi.h
/usr/include/ghostscript/ierrors.h
/usr/include/ijs
/usr/include/ijs/ijs.h
/usr/include/ijs/ijs_client.h
/usr/include/ijs/ijs_server.h
/usr/lib/libgs.so
/usr/lib/libijs.so
/usr/lib/pkgconfig/ijs.pc


Generated by rpm2html 1.8.1

Fabrice Bellet, Mon Apr 10 04:14:29 2017